


XPD(1)                   USER COMMANDS                  Release 5



NAME
     xpd - process manager for X

SYNOPSIS
     xpd [X Toolkitoption]

DESCRIPTION
     _x_p_d is designed to provide an  easy-to-use,  point-and-click
     interface  to a correlation of process information available
     through ps.

OPTIONS
     _x_p_d  accepts  all  of  the  standard  toolkit  command  line
     options.

OPERATION
     Buttons:

     Quit:
          Terminate the application.

     Rescan:
          Update process list to reflect current process table.

     Kill Level:
          Menu to select signal see, kill(1).

     Kill:
          Send signal to selected process.

     All: Send signal to all processes owned by selected user.

     Trace:
          Display ancestry and descendant list for selected  pro-
          cess.

     Defunct:
          Display list of defunct processes.

     Run As Root:
          Change effective  user  id  to  root  (see  permissions
          below).

     Run As User:
          Change effective user id to real user id.

     Panes & Lists:

     User List:
          List of all process owners (* displays all)

     Pid List:



X Version 11                                                    1






XPD(1)                   USER COMMANDS                  Release 5



          List of processes for a selected user.

     Argument List:
          List of arguments for a selected process.

     Trace Ancestry List:
          List of process ancestry (enabled with trace button).

     Trace Descendant List:
          List of process descendants (enabled  with  trace  but-
          ton).

     Defunct List:
          List of defunct process (enabled with defunct button).

     Information:

     Signal Status:
          Current signal and process selected.

     Running As:
          Current effective user id of application.

     Processes:
          Number of processes.

     Effective UID:
          Effective user id and login name of process owner.

     Effective Name:
          Name of process owner.

     PID: Process ID of selected process.

     PPID:
          Parent Process ID of selected process.

     PGRP:
          Process Group of selected process.

     STAT:
          Process State of selected process, see ps(1).

     TTY: TTY process is associated with.

     To select a user click on the user name in  the  User  List.
     This  will display all of the processes associated with that
     users and update the detailed user information.  To select a
     process  click on the process id in the PID List.  This will
     display all of the arguements for  a  selected  process  and
     update the detailed process information.




X Version 11                                                    2






XPD(1)                   USER COMMANDS                  Release 5



     To signal or kill a selected process, select the appropriate
     signal to be sent and click on the Kill button.  If the pro-
     cess is terminated, xpd will perform a Rescan.  If the  pro-
     cess is not terminated a dialogue box will appear explaining
     the error and the process will remain selected.

     To signal or kill all  of  a  users  processes,  select  the
     appropriate  signal  to be sent and click on the All button.
     The processes will be signaled children first (post  order).
     If no errors are encountered, xpd will perform a Rescan.  If
     errors are encountered a dialogue box will appear explaining
     the error and the user will remain selected.

     Xpd does not use ps(1).  It acquires it's  process  informa-
     tion    from    the    kernel    through    kvm_nextproc(3),
     kvm_getproc(3), kvm_getu(3) and kvm_getcmd(3).

PERMISSIONS
     Upon startup xpd checks to see if the user is  a  member  of
     the  wheel  group (group 0).  If the user is a member of the
     wheel group,  the program is enabled to run  as  root.   For
     this to work, the ownership of the executable must be set to
     root and the set uid bit on.  Since xpd reads from the  ker-
     nel  it  needs  permission  to  read /dev/kmem.  This can be
     accomplished two ways.  If xpd is owned by root and the  set
     uid  bit is on, xpd will set it's effective group id to kmem
     (group 2).  If xpd is not owned by root, the group ownership
     must be set to kmem and the set gid bit must be on.

SEE ALSO
     ps(1) kill(1)

FILES
     /vmunix             system namelist
     /dev/kmem           kernel memory
     /dev/drum           swap device
     /vmcore             core file

BUGS
     Much like ps, things can change while xpd is  running.   xpd
     does  not  update  it's list automatically, therefore, these
     changes will not be reflected through it's interface.

COMMENTS
     This program will  not  function  without  it's  application
     defaults file.  The application defaults file must be in the
     system application defaults  directory  or  in  a  directory
     referenced by XAPPLRESDIR environmental variable.

AUTHOR
     Vincent M. Tkac
     Computer and Information Sciences



X Version 11                                                    3






XPD(1)                   USER COMMANDS                  Release 5



     Youngstown State University
     Youngstown, Ohio 44555

     vmtkac@acm.org
















































X Version 11                                                    4






